%define name    freetuxtv
%define version 0.6.8
%define release %mkrel 2

Name:		%{name} 
Summary:	Freetuxtv - TV player
Version:	%{version}
Release:	%{release}
Source:		http://freetuxtv.googlecode.com/files/freetuxtv-master.zip
URL:		http://freetuxtv.googlecode.com
Group:          Video
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
License:	GPLv2
#----------------------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}curl-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}dbus-glib-1_2-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}notify-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}sqlite3-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: intltool
BuildRequires: vlc-devel
#----------------------------------------------
Requires: glib2.0-common
Requires: gtk+3.0
Requires: vlc

%description
freetuxtv is a player for Television on Internet with french Free
or SFR (ex-Neuf) Internet service providers, and a lot of WebTV in
french languages in the world (Canada, Switzerland, Belgium, etc...).

%description -l de
FreetuxTV ist ein auf VLC basierendes Programm zum Empfang von Internet-TV 
und -Radio in diversen Sprachen. Eine Aufzeichnung der laufenden Sendungen 
und zeitversetztes Fernsehen sind einige der nützlichen Programmfunktionen. 
Das Programm befindet sich noch in der Entwicklung aber viele bekannte Radio- 
und Fernsehsender können bereits verwendet werden. Die Liste wird ständig 
erweitert.

%prep
%setup -q -n freetuxtv-master

%build
./autogen.sh
%configure2_5x --disable-static --enable-shared --with-gtk=3.0

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#drop uneeded files
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.so
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -rf $RPM_BUILD_ROOT/%{_includedir}

#menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%find_lang %{name}

%post
glib-compile-schemas %{_datadir}/glib-2.0/schemas 

%postun
glib-compile-schemas %{_datadir}/glib-2.0/schemas 


%files -f %{name}.lang
%defattr(-,root,root)
%doc NEWS AUTHORS COPYING README ChangeLog
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_libdir}/*.so.*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Jan 13 2017 adrianomorselli <adrianomorselli> 0.6.8-2uplos2017
- rebuild

* Tue Nov 29 2016 bb <bb> 0.6.8-2pclos2016
- update from gIR
- drop debian gtk2 patch as it has been
- merged upstream
- build git package with gtk3.0 to fix
- channel menu

* Tue Nov 29 2016 bb <bb> 0.6.8-1pclos2016
- update and build against gtk2

* Sat Jan 25 2014 bb <bb> 0.6.6-2pclos2014
- clean up specfile for future builds

* Fri Jan 24 2014 daniel <meisssw01 at gmail.com> 0.6.6-1free2014
- upstream tarball
- add german description

